#Example2  - Chapter 2#

#download the data "example1_chapter2.RData" to C:\regression\ 


# assign the working directory 
setwd ("C:/regression/")

# load "example1_chapter2.rdata" 

load ("example2_chapter2.rdata")


#"example2_chapter2" is the name of the data frame


# Descriptive statistics 


# Method 1 - mean, median, standard deviation, variance, min, max, range
mean(example2_chapter2$im)
median(example2_chapter2$im)
var(example2_chapter2$im)
sd(example2_chapter2$im)
min(example2_chapter2$im)
max(example2_chapter2$im)

mean(example2_chapter2$gdp)
median(example2_chapter2$gdp)
var(example2_chapter2$gdp)
sd(example2_chapter2$gdp)
min(example2_chapter2$gdp)
max(example2_chapter2$gdp)

mean(example2_chapter2$tel)
median(example2_chapter2$tel)
var(example2_chapter2$tel)
sd(example2_chapter2$tel)
min(example2_chapter2$tel)
max(example2_chapter2$tel)

mean(example2_chapter2$hospital)
median(example2_chapter2$hospital)
var(example2_chapter2$hospital)
sd(example2_chapter2$hospital)
min(example2_chapter2$hospital)
max(example2_chapter2$hospital)

mean(example2_chapter2$urban)
median(example2_chapter2$urban)
var(example2_chapter2$urban)
sd(example2_chapter2$urban)
min(example2_chapter2$urban)
max(example2_chapter2$urban)


# Method 2- mean, median, standard deviation, variance, min, max, range 
# need a package "pastecs"

install.packages("pastecs")

library (pastecs)

stat.desc(example2_chapter2)


#correlation among X's

cor(cbind(example2_chapter2$gdp, example2_chapter2$tel, example2_chapter2$hospital, example2_chapter2$urban))


#Multiple regression Y=im X=gdp, tel, hospital, urban

model1_chapter2 <- lm(im ~ gdp + tel + hospital + urban, data=example2_chapter2)
summary (model1_chapter2)

#Multiple regression Y=im X=gdp, tel
model2_chapter2 <- lm(im ~ gdp + tel, data=example2_chapter2)
summary (model2_chapter2)

#Multiple regression Y=im X=gdp, hospital
model3_chapter2 <- lm(im ~ gdp + hospital, data=example2_chapter2)
summary (model3_chapter2)


